Bug 182598 - ia64: /dev/efirtc accessed before udev runs
ia64: /dev/efirtc accessed before udev runs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
: Reopened
Depends On: 182597
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2006-02-23 11:18 EST by Prarit Bhargava
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 16:05:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Additional patch for mkinitrd to correctly initialize /dev/efirtc (329 bytes, patch)
2006-05-17 16:10 EDT, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Prarit Bhargava 2006-02-23 11:18:20 EST
Description of problem:  
  
On ia64 platforms, hwclock is accessed via /dev/efirtc.  This file is 
'created' by udev which runs AFTER the hwclock sync is performed. 
  
Version-Release number of selected component (if applicable):  latest rawhide  
pull (fedora-devel branch)  
  
How reproducible: 100%  
  
  
Steps to Reproduce:  
1. Install Fedora ia64  
2. Boot.  
3.  
    
Actual results:  
  
Following error is seen on the console:  
  
Cannot access the Hardware Clock via any known method.  
Use the --debug option to see the details of our search for an access method.  
Setting clock  (localtime): Tue Feb 21 20:00:15 EST 2006 [  OK  ]  
Starting udev   
  
Expected results:  
  
No errors should be seen.  
  
Additional info:  
 
The bug is that /dev/efirtc does not exist. 
 
This differs from RHEL -- in that case the clock starts AFTER udev has run and 
the modules have loaded: 
 
                Press 'I' to enter interactive startup. 
Starting udev:  [  OK  ] 
Initializing hardware...  storage network audio done[  OK  ] 
Configuring kernel parameters:  [  OK  ] 
Setting clock  (localtime): Tue Feb 21 11:07:55 EST 2006 [  OK  ] 
 
Is there a reason that the rc.sysinit has been modified to startup the clock 
before udev and module loading?
Comment 1 Bill Nottingham 2006-02-23 11:36:42 EST
/dev/rtc is handled in mkinitrd. /dev/efirtc probably should be as well.
Comment 2 Peter Jones 2006-02-23 18:22:33 EST
So what's the correct major/minor for the device?
Comment 3 Prarit Bhargava 2006-02-23 20:41:06 EST
Peter: 
 
[root@altix3 ~]# ls -l /dev/efirtc  
crw------- 1 root root 10, 136 Feb 22 08:31 /dev/efirtc 
[root@altix3 ~]#  
 
P. 
Comment 4 Peter Jones 2006-02-23 23:41:30 EST
Ok, I've committed it to cvs head.  Next build will have it.
Comment 5 Prarit Bhargava 2006-05-17 16:10:02 EDT
Created attachment 129358 [details]
Additional patch for mkinitrd to correctly initialize /dev/efirtc 

Peter,

This patch is needed to fix the problem ...

P.
Comment 6 Prarit Bhargava 2006-08-10 16:05:34 EDT
Hmmm ... the patch above seems to have a bug in it :(
Comment 7 Keiichiro Tokunaga 2006-08-21 11:56:43 EDT
Prarit,

Fujitsu has opened an IT related to this problem (IT100192) and
Mori-san gave us a pointer to this bug.

I tested the patch above on my box (PRIMEQUEST) and it seems that
it fixed the problem.  According to your last comments, there may
still be a bug in the patch.  Could you tell me what kind of bug
do you think there is in the patch?  I'd like to share that information
with Fujitsu engineers if appropriate.
Comment 8 Prarit Bhargava 2006-08-21 12:24:26 EDT
Kei,

This BZ is closed, however, please see 

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=202110

P.
Comment 9 Keiichiro Tokunaga 2006-08-21 12:42:37 EDT
Prarit,

OK.  I understand the situation.

Thank!

Note You need to log in before you can comment on or make changes to this bug.